# $Revision: 1.18 $, $Date: 2011/10/29 10:22:33 $
%define		plugin	syslog
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Syslog Viewer for Cacti
Summary(pl.UTF-8):	Wtyczka do Cacti - Syslog
Name:		cacti-plugin-%{plugin}
Version:	1.22
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://docs.cacti.net/_media/plugin:syslog-v%{version}-1.tgz
# Source0-md5:	bed7d51a915e6dd0813766a09c31f2fe
URL:		http://docs.cacti.net/plugin:syslog
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	cacti
Requires:	cacti(pia) >= 2.8
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-date
Requires:	php-pcre
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}

# bad depsolver
%define		_noautopear	pear

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
A comprehensive Syslog Alerting tool that support very large
partitioned databases.

Features:
- Message filter
- Message search
- Output to screen or file
- Date time picker
- Event Alerter
- Event Removal (for Events you don't want to see)

%description -l pl.UTF-8
Wtyczka do Cacti - Syslog to zintegrowany interfejs cacti do bazy
danych MySQL, którego można używać do logowania zdarzeń ze skryptów,
cacti czy czegokolwiek.

Jest to składnik konsolowy będący lekkim dodatkiem do monitorowania
dla cacti. Ponieważ schemat bazy danych jest oparty na syslogu, może
być skonfigurowany do używania sysloga-ng lub syslogd z kiwi dla
Windows, przez co zdarzenia mogą być skorelowane.

%prep
%setup -qc
mv %{plugin}/{LICENSE,README} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{plugindir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-plugin-syslog.spec,v $
Revision 1.18  2011/10/29 10:22:33  glen
- skip pear deps generation

Revision 1.17  2011/10/27 21:31:26  glen
- up to 1.22, updated deps, revised desc

Revision 1.16  2010/05/16 14:13:39  sparky
- BR: unzip

Revision 1.15  2008/10/05 11:18:07  glen
- simplify macros and cleanups

Revision 1.14  2008/09/19 07:48:40  grzegorz
- up by Pawel Dlugosz

Revision 1.13  2007/12/26 13:06:27  glen
- cleanups

Revision 1.12  2007-12-17 10:21:35  wolvverine
- add config patch

Revision 1.11  2007-12-14 09:30:15  wolvverine
- delete old file

Revision 1.10  2007-12-13 20:48:34  wolvverine
- up to 0.5.1

Revision 1.9  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.7  2006/06/04 17:11:14  wolvverine
- up to 0.4

Revision 1.6  2006/04/18 01:36:01  wolvverine
- correct log

Revision 1.5  2006/04/18 01:35:10  wolvverine
- up to 0.3

Revision 1.4  2006/03/17 11:35:54  wolvverine
- correct %files

Revision 1.3  2006/03/17 11:02:44  wolvverine
- up to version 0.2

Revision 1.2  2006/02/02 10:24:52  qboosh
- pl

Revision 1.1  2006/02/02 02:14:49  wolvverine
- init
